<mat-toolbar color="primary" id="first-row" class="first-row">
  <a mat-button class="logo">
    <img
      class="logo"
      [src]="'../../../../../assets/images/rollup.png'"
      alt=""
    />
  </a>
  <span class="spacer"></span>
  <app-language-menu></app-language-menu>
  <app-user-menu *role="['User']"></app-user-menu>
</mat-toolbar>
<mat-toolbar *role="['User']" id="second-row" class="second-row">
  <div class="col-lg-12 button-container">
    <button
      class="header-button"
      mat-flat-button
      routerLink="/home"
      routerLinkActive="active"
      [disableRipple]="true"
    >
      <mat-icon>home</mat-icon>
      <span>{{ "header.home" | translate }}</span>
    </button>
    <button
      class="header-button"
      mat-flat-button
      routerLink="/meters"
      routerLinkActive="active"
      [disableRipple]="true"
    >
      <mat-icon>network_check</mat-icon>
      <span>{{ "header.meters" | translate }}</span>
    </button>
    <button
      class="header-button"
      mat-flat-button
      routerLink="/datacollectors"
      routerLinkActive="active"
      [disableRipple]="true"
    >
      <mat-icon>bar_chart</mat-icon>
      <span>{{ "header.datacollectors" | translate }}</span>
    </button>
    <button
      class="header-button"
      mat-flat-button
      routerLink="/admin"
      routerLinkActive="active"
      [disableRipple]="true"
    >
      <mat-icon>admin_panel_settings</mat-icon>
      <span>{{ "header.admin" | translate }}</span>
    </button>
    <button
      class="header-button"
      mat-flat-button
      routerLink="/system-admin"
      routerLinkActive="active"
      [disableRipple]="true"
    >
      <mat-icon>psychology</mat-icon>
      <span>{{ "header.systemadmin" | translate }}</span>
    </button>
  </div>
</mat-toolbar>
